<template>
  <v-list
    expand
    nav
    v-bind="$attrs"
    v-on="$listeners"
  >
    <template v-for="(item, i) in items">
      <default-list-group
        v-if="item.items && item.for.includes(permiso)"
        :key="`group-${i}`"
        :item="item"
      />

      <default-list-item
        v-else-if="item.for.includes(permiso)"
        :key="`item-${i}`"
        :item="item"
      />
    </template>
  </v-list>
</template>

<script>
  export default {
    name: 'DefaultList',

    components: {
      DefaultListGroup: () => import('./ListGroup'),
      DefaultListItem: () => import('./ListItem'),
    },
    data () {
      return {
        permiso: null
      }
    },
    props: {
      items: {
        type: Array,
        default: () => ([]),
      },
    },
    created() {
      let user = localStorage.getItem('user')
      this.permiso = user
    }
  }
</script>
